:root {
  --primary-color: #0074E8;
}

/* Start Custom Fonts CSS */
@font-face {
  font-family: "Scene Pro";
  font-style: normal;
  font-weight: normal;
  font-display: swap;
  src: url("/assets/font/ScenePro-Regular.eot");
  src: url("/assets/font/ScenePro-Regular.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-Regular.woff2") format("woff2"),
    url("/assets/font/ScenePro-Regular.woff") format("woff"),
    url("/assets/font/ScenePro-Regular.ttf") format("truetype"),
    url("/assets/font/ScenePro-Regular.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: normal;
  font-weight: bold;
  font-display: swap;
  src: url("/assets/font/ScenePro-Bold.eot");
  src: url("/assets/font/ScenePro-Bold.eot?#iefix") format("embedded-opentype"),
    url("/assets/font/ScenePro-Bold.woff2") format("woff2"),
    url("/assets/font/ScenePro-Bold.woff") format("woff"),
    url("/assets/font/ScenePro-Bold.ttf") format("truetype"),
    url("/assets/font/ScenePro-Bold.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("/assets/font/ScenePro-Medium.eot");
  src: url("/assets/font/ScenePro-Medium.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-Medium.woff2") format("woff2"),
    url("/assets/font/ScenePro-Medium.woff") format("woff"),
    url("/assets/font/ScenePro-Medium.ttf") format("truetype"),
    url("/assets/font/ScenePro-Medium.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: normal;
  font-weight: 100;
  font-display: swap;
  src: url("/assets/font/ScenePro-Light.eot");
  src: url("/assets/font/ScenePro-Light.eot?#iefix") format("embedded-opentype"),
    url("/assets/font/ScenePro-Light.woff2") format("woff2"),
    url("/assets/font/ScenePro-Light.woff") format("woff"),
    url("/assets/font/ScenePro-Light.ttf") format("truetype"),
    url("/assets/font/ScenePro-Light.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: normal;
  font-weight: 800;
  font-display: swap;
  src: url("/assets/font/ScenePro-Black.eot");
  src: url("/assets/font/ScenePro-Black.eot?#iefix") format("embedded-opentype"),
    url("/assets/font/ScenePro-Black.woff2") format("woff2"),
    url("/assets/font/ScenePro-Black.woff") format("woff"),
    url("/assets/font/ScenePro-Black.ttf") format("truetype"),
    url("/assets/font/ScenePro-Black.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: italic;
  font-weight: normal;
  font-display: swap;
  src: url("/assets/font/ScenePro-Italic.eot");
  src: url("/assets/font/ScenePro-Italic.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-Italic.woff2") format("woff2"),
    url("/assets/font/ScenePro-Italic.woff") format("woff"),
    url("/assets/font/ScenePro-Italic.ttf") format("truetype"),
    url("/assets/font/ScenePro-Italic.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: italic;
  font-weight: bold;
  font-display: swap;
  src: url("/assets/font/ScenePro-BoldItalic.eot");
  src: url("/assets/font/ScenePro-BoldItalic.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-BoldItalic.woff2") format("woff2"),
    url("/assets/font/ScenePro-BoldItalic.woff") format("woff"),
    url("/assets/font/ScenePro-BoldItalic.ttf") format("truetype"),
    url("/assets/font/ScenePro-BoldItalic.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: italic;
  font-weight: 600;
  font-display: swap;
  src: url("/assets/font/ScenePro-MediumItalic.eot");
  src: url("/assets/font/ScenePro-MediumItalic.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-MediumItalic.woff2") format("woff2"),
    url("/assets/font/ScenePro-MediumItalic.woff") format("woff"),
    url("/assets/font/ScenePro-MediumItalic.ttf") format("truetype"),
    url("/assets/font/ScenePro-MediumItalic.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: italic;
  font-weight: 100;
  font-display: swap;
  src: url("/assets/font/ScenePro-LightItalic.eot");
  src: url("/assets/font/ScenePro-LightItalic.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-LightItalic.woff2") format("woff2"),
    url("/assets/font/ScenePro-LightItalic.woff") format("woff"),
    url("/assets/font/ScenePro-LightItalic.ttf") format("truetype"),
    url("/assets/font/ScenePro-LightItalic.svg#ScenePro") format("svg");
}

@font-face {
  font-family: "Scene Pro";
  font-style: italic;
  font-weight: 800;
  font-display: swap;
  src: url("/assets/font/ScenePro-BlackItalic.eot");
  src: url("/assets/font/ScenePro-BlackItalic.eot?#iefix")
      format("embedded-opentype"),
    url("/assets/font/ScenePro-BlackItalic.woff2") format("woff2"),
    url("/assets/font/ScenePro-BlackItalic.woff") format("woff"),
    url("/assets/font/ScenePro-BlackItalic.ttf") format("truetype"),
    url("/assets/font/ScenePro-BlackItalic.svg#ScenePro") format("svg");
}

*,
::after,
::before {
  box-sizing: border-box;
}

::placeholder {
  color: #999;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Scene Pro";
  font-weight: 400;
  line-height: 1.5;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}

button {
  cursor: pointer;
}

img,
video {
  max-width: 100%;
  display: block;
  object-fit: cover;
}

svg {
  display: block;
  fill: #fff;
  pointer-events: none;
}

p {
  margin: 0;
}

[v-cloak] {
  display: none;
}

.icon-menu {
  width: 40px;
  aspect-ratio: 80 / 56;
}

.header {
  height: 80px;
  padding: 0 5px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #000;
  position: relative;
  color: #fff;
}

.menu {
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo {
  height: inherit;
  padding: 0 10px;
  display: flex;
  align-items: center;
}

.logo > img {
  width: 160px;
  height: auto;
}

.header .right {
  display: none;
}

.layout {
  margin: 0 auto;
  width: var(--layout);
}

.footer {
  background-color: #333333;
}

.container {
  position: relative;
}

/* 模态框样式 */
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  backdrop-filter: blur(5px);
}

.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.modal {
  background: white;
  border-radius: 12px;
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  width: 75vw;
  max-width: 1390px;
  max-height: 98vh;
  overflow-y: auto;
  transform: translateY(-20px);
  transition: transform 0.4s ease;
  position: relative;
}

.modal-overlay.active .modal {
  transform: translateY(0);
}

.modal-close {
  width: 40px;
  height: 40px;
  position: absolute;
  right: 1.5625vmin;
  top: 1.5625vmin;
  cursor: pointer;
}
.btn {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* 移动端特殊适配 */
@media (max-width: 750px) {
  :root {
    --form-control-height: 13.3333vw;
  }

  .header .navbar {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9999;
    transform: translateY(-100%);
    transition: all 0.5s;
    background-color: #000;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .header .right {
    flex-shrink: 0;
    padding: 0 10px;
    display: flex;
    align-items: center;
  }

  .header .right > .shop-online {
    margin-right: 15px;
    padding: 7px 12px 3px 12px;
    background-color: #ff0000;
    font-size: 16px;
    font-weight: 900;
    text-transform: uppercase;
    font-style: italic;
    box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.21);
    border-radius: 50px 50px 50px 50px;
  }

  .header .right .menu svg {
    width: 24px;
    height: 24px;
  }

  .header .right .drawer-menu {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 90%;
    padding: 30px;
    transform: translateX(100%);
    transition: all 0.5s;
    background-color: #000;
    z-index: 999;
  }

  .header .right .drawer-menu.active {
    transform: translateX(0%);
  }

  .header .right .drawer-menu .drawer-header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  .header .right .drawer-menu .drawer-header .drawer-close {
    width: 22px;
    height: 22px;
  }

  .header .right .drawer-menu .navs {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .header .right .drawer-menu .nav {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 7px 12px 3px 12px;
    background-color: #0074e8;
    font-size: 16px;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
    font-style: italic;
    box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.21);
    border-radius: 50px 50px 50px 50px;
  }

  .header .right .drawer-menu .nav.shop-online {
    background-color: #ff0000;
  }

  .header .right .drawer-menu .nav.installer-search {
    background-color: #686868;
  }

  .footer .layout {
    --pad: clamp(1.5rem, 5vw, 2rem);
    padding: 20px var(--pad) 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .footer .logo {
    display: flex;
    flex-direction: column;
    align-items: stretch;
  }

  .footer .logo img {
    width: 70px;
  }

  .footer .copyright {
    margin-top: 20px;
    font-size: 14px;
    text-align: center;
    color: rgba(255,255,255,0.39);
  }

  .ivu-input {
    padding: 0 20px;
    height: var(--form-control-height);
    line-height: var(--form-control-height);
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 10px;
    background: #000;
    outline: none;
    font-size: 14px;
  }

  .ivu-input-prefix {
    width: fit-content;
    padding: 0 5.3333vw;
    display: flex;
    align-items: center;
  }

  .ivu-input-suffix {
    display: flex;
    align-items: center;
  }

  .ivu-input-with-prefix {
    padding-left: 15.4667vw;
  }

  .ivu-select-single .ivu-select-selection {
    height: var(--form-control-height);
    border-radius: 10px;
  }

  .ivu-select-single .ivu-select-selection .ivu-select-placeholder,
  .ivu-select-single .ivu-select-selection .ivu-select-selected-value {
    height: var(--form-control-height);
    line-height: var(--form-control-height);
  }

  .ivu-input:hover,
  .ivu-input:focus,
  .ivu-select-selection-focused,
  .ivu-select-selection:hover,
  .ivu-select-visible .ivu-select-selection {
    border-color: var(--primary-color);
  }

  .ivu-input:focus,
  .ivu-select-selection-focused,
  .ivu-select-visible .ivu-select-selection {
    box-shadow: none;
  }
}

/* PC适配 - 媒体查询 */
@media (min-width: 751px) {
  :root {
    --form-control-height: 50px;
  }

  .header .navbar {
    margin-left: auto;
    padding: 0 10px;
    display: flex;
    align-items: center;
    gap: 20px;
  }

  .header .navbar .icon-close {
    display: none;
  }

  .header .navbar > ul {
    margin-left: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
  }

  .header .navbar > ul > li {
    position: relative;
  }

  .header .navbar > ul > li a {
    padding: 14px 30px 10px 30px;
    border-radius: 50px;
    box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.21);
    background-color: #fff;
    color: #0074e8;
    font-size: 15px;
    font-weight: 900;
    font-style: italic;
  }

  .header .navbar > ul > li a.primary {
    background-color: #ff0000;
    color: #fff;
    font-size: 16px;
  }

  .header .menu {
    display: flex;
    justify-content: center;
    cursor: pointer;
  }

  .footer {
    padding: 0 30px;
  }

  .footer .layout {
    margin: 0 auto;
    --pad: clamp(1.5rem, 5vw, 2rem);
    padding: 20px var(--pad) 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3.2rem;
  }

  .footer .logo {
    display: flex;
    flex-direction: column;
    align-items: stretch;
  }

  .footer .logo img {
    width: 120px;
  }

  .footer .copyright {
    font-size: 13px;
    font-weight: 300;
    color: rgba(255, 255, 255, 0.39);
  }

  .ivu-input {
    padding: 0 20px;
    height: var(--form-control-height);
    line-height: var(--form-control-height);
    border: 1px solid rgba(255, 255, 255, 0.7);
    border-radius: 20px;
    background: #000;
    outline: none;
    font-size: 14px;
  }

  .ivu-input-prefix {
    width: fit-content;
    padding: 0 20px;
    display: flex;
    align-items: center;
  }

  .ivu-input-suffix {
    display: flex;
    align-items: center;
  }

  .ivu-input-with-prefix {
    padding-left: 60px;
  }

  .ivu-select-single .ivu-select-selection {
    height: var(--form-control-height);
    line-height: var(--form-control-height);
    border-radius: 20px;
  }

  .ivu-select-single .ivu-select-selection .ivu-select-placeholder,
  .ivu-select-single .ivu-select-selection .ivu-select-selected-value {
    height: var(--form-control-height);
    line-height: var(--form-control-height);
  }

  .ivu-input:hover,
  .ivu-input:focus,
  .ivu-select-selection-focused,
  .ivu-select-selection:hover,
  .ivu-select-visible .ivu-select-selection {
    border-color: var(--primary-color);
  }

  .ivu-input:focus,
  .ivu-select-selection-focused,
  .ivu-select-visible .ivu-select-selection {
    box-shadow: none;
  }
}
